# SourcePath: glibc-2.7/20090313
Summary: The GNU C Library.
Name: sony-target-dev-glibc-for-dev
%define pkgname %{sony_tool_triplet}-dev-glibc-for-dev
Version: 2.7
Release: 05000401
License: LGPL2.1 / Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/libc
Source0: glibc-%{version}.tar.bz2
Source1: glibc-ports-%{version}.tar.bz2

# LOT script Files
Source10: sony-devel-libopt-build-libc
Source11: sony-devel-libopt-build-libcrypt
Source12: sony-devel-libopt-build-libdl
Source13: sony-devel-libopt-build-libm
Source14: sony-devel-libopt-build-libpthread
Source15: sony-devel-libopt-build-librt

#
# Patches 

# Linux From Scratch patches:http://trac.cross-lfs.org/browser/trunk/patches 
Patch100: glibc-2.7-libgcc_eh-1.patch
Patch101: glibc-2.7-localedef_segfault-1.patch

#arm patches  http://patches.ubuntu.com/g/glibc/extracted/arm/

Patch200: glibc-ports-2.7-arm-eabi-wchar.patch
Patch201: glibc-ports-2.7-arm-gcc4-inline.patch
Patch202: glibc-ports-2.7-arm-ioperm.patch
Patch203: glibc-ports-2.7-arm-lowlevellock.patch
Patch204: glibc-ports-2.7-arm-no-hwcap.patch
Patch205: glibc-ports-2.7-arm-nptl-args6.patch
Patch206: glibc-ports-2.7-arm-RTLD_SINGLE_THREAD.patch

# General patches ( patches added to glibc-2.5 for CE-4.X & CE-3.X)
Patch300: glibc-2.7-getcwd-max-def.patch

# For mknod() on mips , for the 32bit device number.
Patch301: glibc-ports-2.7-mips-mknod.patch

# i386
Patch302: glibc-2.7-i386-allow-i386.patch

 # powerpc
# powerpc soft-fp patch http://sourceware.org/bugzilla/show_bug.cgi?id=2749
Patch303: glibc-2.7-powerpc-sfp-move-to-ports.patch

# powerpc soft-fp patch http://sourceware.org/bugzilla/show_bug.cgi?id=3268
Patch304: glibc-2.7-powerpc-softfp-fma.patch

# patch to fix multiple def of __gtdf2 on libgcc.a and libc.a for powerpc
Patch305: glibc-2.7-soft-fp-separate-strong-alias.patch

# arm
Patch306: glibc-ports-2.7-arm-obsolete-syscall-support.patch

# MIPS gnu hash patche
Patch307: glibc-2.7-mips-gnu-hash.patch

# MIPS dlsym patches
Patch308: glibc-2.7-mips-dlsym-next.patch

# Sony SS Original
# Make fatal error warn when using the wrong kernel version
Patch309: glibc-2.7-rtld-osinfo-nonfatal.patch

# hp-timing support
Patch310: glibc-2.7-hp-timing-ctors.patch
Patch311: glibc-ports-2.7-powerpc-hp-timing.patch
Patch312: glibc-2.7-i386-hp-timing.patch
Patch313: glibc-ports-2.7-mips-hp-timing.patch
Patch314: glibc-2.7-mips-got-hp-timing.patch
Patch315: glibc-2.7-mips-hp-timing-rtld.patch
Patch316: glibc-2.7-mips-hp-timing-etc.patch
Patch317: glibc-2.7-nptl-cond_timedwait_rel.patch

# powerpc private futex fix
Patch318: glibc-2.7-powerpc-privatefutex-fix.patch

#for mips nptl hp-timming skip
Patch319: glibc-2.7-mips-nptl-hp-timing-skip.patch

#for i686 assembler
Patch320: glibc-2.7-i686-assembler.patch

#patch i386 pthread_cond_timedwait_reltime_np
Patch321: glibc-2.7-nptl-i386-pthread_cond_timedwait_reltime_np.patch

# arm gprof
Patch322: glibc-2.7-arm-gprof-signalcontext.patch

# Sony SS Original
# Change default timeout from 2 sec to 10 sec for testing
Patch323: glibc-2.7-change-default-for-testing.patch
Patch324: glibc-2.7-arm-nptl-futex-return-value-fix.patch
# MIPS makecheck
Patch325: glibc-2.7-fix-build-of-some-tests-on-MIPS.patch
# compile csu, profile *_p.a, *_nonshared.a with -mxgot on MIPS for multigot
Patch326: glibc-2.7-mips-mxgot.patch

# sprof
Patch327: glibc-2.7-sprof.patch

# arm abort
Patch328: glibc-2.7-arm-abort-remove-attribute-noreturn.patch

# skip to get tid when PTHREAD_MUTEX_TIMED_NP type mutex
Patch329: glibc-2.7-nptl-mutex-speedup.patch

# Add pthread reltime timeout API
Patch330: glibc-2.7-nptl-sem_timedwait_reltime_np.patch
Patch331: glibc-2.7-nptl-pthread_mutex_timedlock_reltime_np.patch
Patch332: glibc-2.7-nptl-pthread_rwlock_timedrdlock_reltime_np.patch
Patch333: glibc-2.7-nptl-pthread_rwlock_timedwrlock_reltime_np.patch
Patch334: glibc-2.7-nptl-pthread_timedjoin_reltime_np.patch
Patch335: glibc-2.7-nptl-reltime_np-tests.patch

# patches from Toolchain information table
Patch400: glibc-2.7-pr5240.patch
Patch401: glibc-2.7-pr5245.patch
Patch402: glibc-2.7-pr5404.patch
Patch403: glibc-2.7-pr5481.patch
Patch404: glibc-2.7-i486-rwlock-cfi.patch
Patch405: glibc-2.7-i486-barrier-cfi.patch
Patch406: glibc-2.7-arm-Use_barriers_and_SMP-safe_operations_on_ARM_NPTL.patch

# Step1
Patch407: glibc-2.7-pr5208.patch
Patch408: glibc-2.7-pr2549.patch
Patch409: glibc-2.7-pr5225.patch
Patch410: glibc-2.7-pr5222.patch
Patch411: glibc-2.7-pr5220.patch
Patch412: glibc-2.7-pr5204.patch
Patch414: glibc-2.7-pr5378.patch
Patch415: glibc-2.7-pr5375.patch
Patch416: glibc-2.7-pr5382.patch
Patch417: glibc-2.7-pr5435.patch
Patch418: glibc-2.7-pr5439.patch
Patch419: glibc-2.7-pr5452.patch
Patch420: glibc-2.7-pr5441.patch
Patch422: glibc-2.7-pr5428.patch
Patch423: glibc-2.7-pr5424.patch
Patch424: glibc-2.7-pr5477.patch
Patch425: glibc-2.7-pr5553.patch
Patch426: glibc-2.7-pr5545.patch
Patch427: glibc-2.7-pr5541.patch
Patch428: glibc-2.7-pr5600.patch
Patch429: glibc-2.7-pr5614.patch
Patch430: glibc-2.7-pr5741.patch

# Step2
Patch433: glibc-2.7-pr5854.patch
Patch436: glibc-2.7-pr5790.patch
Patch437: glibc-2.7-pr5760.patch
Patch440: glibc-2.7-pr5753.patch
Patch441: glibc-2.7-pr5778.patch
Patch442: glibc-2.7-pr5903.patch
Patch443: glibc-2.7-pr5857.patch
Patch444: glibc-2.7-pr5995.patch
Patch447: glibc-2.7-pr5442.patch
Patch448: glibc-2.7-pr5939.patch
Patch449: glibc-2.7-pr5443.patch
Patch450: glibc-2.7-pr6007.patch
Patch451: glibc-2.7-pr6042.patch
Patch452: glibc-2.7-pr5998.patch
Patch453: glibc-2.7-pr6389.patch
Patch454: glibc-2.7-pr4314.patch
Patch455: glibc-2.7-pr5768.patch
Patch456: glibc-2.7-pr4997.patch
Patch457: glibc-2.7-pr6472.patch
Patch458: glibc-2.7-pr6461.patch
Patch459: glibc-2.7-pr6428.patch
Patch460: glibc-2.7-pr5514.patch
Patch461: glibc-2.7-pr6612.patch
Patch462: glibc-2.7-pr5209.patch
Patch463: glibc-2.7-pr5210.patch
Patch464: glibc-2.7-pr6654.patch
Patch465: glibc-2.7-pr6653.patch

# Step3
Patch466: glibc-2.7-pr6657.patch
Patch469: glibc-2.7-pr6719.patch
Patch470: glibc-2.7-pr6712.patch
Patch471: glibc-2.7-pr6698.patch
Patch472: glibc-2.7-pr6763.patch
Patch473: glibc-2.7-pr6771.patch
Patch474: glibc-2.7-pr6790.patch
Patch475: glibc-2.7-pr6839.patch
Patch476: glibc-2.7-pr6589.patch
Patch477: glibc-2.7-pr6634.patch
Patch478: glibc-2.7-pr6544.patch
Patch479: glibc-2.7-pr6845.patch
Patch480: glibc-2.7-pr6980.patch
Patch481: glibc-2.7-pr6947.patch
Patch489: glibc-2.7-pr6843.patch
Patch490: glibc-2.7-pr6955.patch
Patch491: glibc-2.7-pr6919.patch
Patch492: glibc-2.7-pr6974.patch
Patch493: glibc-2.7-pr7008.patch
Patch502: glibc-2.7-pr7029.patch
Patch515: glibc-2.7-pr6545.patch
Patch516: glibc-2.7-pr9677.patch
Patch517: glibc-2.7-pr9694.patch
Patch518: glibc-2.7-pr9697.patch
Patch519: glibc-2.7-pr697.patch
Patch522: glibc-2.7-pr9706.patch
Patch523: glibc-2.7-pr6999.patch
Patch524: glibc-2.7-pr1048.patch

# Step1 pr5553 bugfix patches
Patch533: glibc-2.7-pr5553-2.patch
Patch534: glibc-2.7-pr5553-3.patch


BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}

BuildRequires: %{sony_tool_triplet}-cross-libopt-for-dev

%description
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

%package -n %{pkgname}
Summary: The GNU C Library.
Group: %{sony_group}
AutoReqProv: no

Conflicts: %{sony_tool_triplet}-dev-glibc-bootstrap-headers

%description -n %{pkgname}
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

%prep
%setup -q -n glibc-%{version} -q -a 1

# Apply patches
%patch100 -p1
%patch101 -p1

%patch200 -p1
%patch201 -p0
%patch202 -p0
%patch203 -p0
%patch204 -p0
%patch205 -p0
%patch206 -p0

%patch300 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1
%patch306 -p1
%patch307 -p1
%patch308 -p1
%patch309 -p1
%patch310 -p1
%patch311 -p1
%patch312 -p1
%patch313 -p1
%patch314 -p1
%patch315 -p1
%patch316 -p1
%patch317 -p1
%patch318 -p1
%patch319 -p1
%patch320 -p1
%patch321 -p1
%patch322 -p1
%patch323 -p1
%patch324 -p1
%patch325 -p0
%patch326 -p1
%patch327 -p1
%if %{sony_target_cpu} == "arm"
%patch328 -p1
%endif
%patch329 -p1
%if %{sony_target_cpu} == "mips"
%patch330 -p1
%patch331 -p1
%patch332 -p1
%patch333 -p1
%patch334 -p1
%patch335 -p1
%endif

%patch400 -p1
%patch401 -p1
%patch402 -p1
%patch403 -p1
%patch404 -p0
%patch405 -p0
%patch406 -p1

%patch407 -p1
%patch408 -p1
%patch409 -p1
%patch410 -p1
%patch411 -p1
%patch412 -p1
%patch414 -p1
%patch415 -p1
%patch416 -p1
%patch417 -p1
%patch418 -p1
%patch419 -p1
%patch420 -p1
%patch422 -p1
%patch423 -p1
%patch424 -p1
%patch425 -p1
%patch426 -p1
%patch427 -p1
%patch428 -p1
%patch429 -p1
%patch430 -p1
%patch433 -p1
%patch436 -p1
%patch437 -p1
%patch440 -p1
%patch441 -p1
%patch442 -p1
%patch443 -p1
%patch444 -p1
%patch447 -p1
%patch448 -p1
%patch449 -p1
%patch450 -p1
%patch451 -p1
%patch452 -p1
%patch453 -p1
%patch454 -p1
%patch455 -p1
%patch456 -p1
%patch457 -p1
%patch458 -p1
%patch459 -p1
%patch460 -p1
%patch461 -p1
%patch462 -p1
%patch463 -p1
%patch464 -p1
%patch465 -p1
%patch466 -p1
%patch469 -p1
%patch470 -p1
%patch471 -p1
%patch472 -p1
%patch473 -p1
%patch474 -p1
%patch475 -p1
%patch476 -p1
%patch477 -p1
%patch478 -p1
%patch479 -p1
%patch480 -p1
%patch481 -p1
%patch489 -p1
%patch490 -p1
%patch491 -p1
%patch492 -p1
%patch493 -p1
%patch502 -p1
%patch515 -p1
%patch516 -p1
%patch517 -p1
%patch518 -p1
%patch519 -p1
%patch522 -p1
%patch523 -p0
%patch524 -p0
%patch533 -p1
%patch534 -p1


#
# NOTE: Build with nptl, with TLS
#
%build
%sony_target_dev_setup

%define _header_dir %{sony_cross_target_dir}%{sony_target_dev_include_dir}

# compile option for EX project
# ARM work around for glibc build break and gcc Nested Function bug.
%if "%{sony_target_cpu}" == "arm"
export CFLAGS="-O2 -g"
%else
export CFLAGS="-O2 -g -fno-omit-frame-pointer "
%endif

autoconf &&
%if "%{sony_target_cpu}" == "ppc"
   export libc_cv_ppc_machine=yes \
	  libc_cv_ppc_rel16=no \
%endif
# to build nptl
export libc_cv_forced_unwind=yes
export libc_cv_c_cleanup=yes

%sony_target_dev_configure \
	--enable-add-ons=glibc-ports-%{version},nptl \
	--disable-sanity-checks \
	--without-cvs \
%if "%{sony_target_fpu}" == "no"
	--without-fp \
%endif
	--with-tls \
	--with-__thread \
	--enable-kernel=2.6.23 \
	--enable-profile \
	--without-gd \
	--with-headers=%{_header_dir} &&
cat <<EOF > configparms &&
slibdir=%{sony_target_dev_dir}/lib
sysconfdir=%{sony_target_dev_dir}/etc
EOF
make

%install
%sony_target_dev_setup

rm -rf %{buildroot}

mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/optinfo
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/optinfo/libc
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/optinfo/libcrypt
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/optinfo/libdl
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/optinfo/libm
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/optinfo/libpthread
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/optinfo/librt

cd %{sony_objdir} &&
make \
    install_root=%{buildroot}%{sony_cross_target_dir} \
    install

# NPTL <bits/stdio-lock.h> is not usable outside of glibc, so include
# the generic one (#162634)
cp -a ../bits/stdio-lock.h  %{buildroot}%{_header_dir}/bits/stdio-lock.h

# Fix ld scripts (remove '/devel/lib/' and '/devel/usr/lib/').
for f in /usr/lib/libc.so /usr/lib/libpthread.so
do
    sed -e 's,%{sony_target_dev_dir}/[^ 	]*/,,g' \
	-e '/BUG in libc.scripts.output-format.sed/d' \
        %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir}$f > tmp.so
    mv -f tmp.so %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_dir}$f
done

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}/optinfo
OBJECTDIR=`/bin/pwd`

# Install Library Optimizer information (libc)
install -m 755 %{SOURCE10} %{_optdir}/libc/build
install -m 644 libc.map %{_optdir}/libc/libc.map
install -m 644 shlib.lds %{_optdir}/libc/libc.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libc/abi-note.o
install -m 644 elf/soinit.os %{_optdir}/libc/soinit.o
install -m 644 elf/sofini.os %{_optdir}/libc/sofini.o
install -m 644 elf/interp.os %{_optdir}/libc/interp.o
(cd %{_optdir}/libc; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/libc_pic.a)
(cd %{_optdir}/libc; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/libc.so -r *.o -o *.os > index)
(umask 022; echo "/devel/lib/libc-"%{version}".so" > %{_optdir}/libc/path)

# Install Library Optimizer information (libcrypt)
install -m 755 %{SOURCE11} %{_optdir}/libcrypt/build
install -m 644 libcrypt.map %{_optdir}/libcrypt/libcrypt.map
install -m 644 shlib.lds %{_optdir}/libcrypt/libcrypt.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libcrypt/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libcrypt/interp.o
(cd %{_optdir}/libcrypt; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/crypt/libcrypt_pic.a)
(cd %{_optdir}/libcrypt; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/crypt/libcrypt.so -r *.o -o *.os > index)
(umask 022; echo "/devel/lib/libcrypt-"%{version}".so" > %{_optdir}/libcrypt/path)

# Install Library Optimizer information (libdl)
install -m 755 %{SOURCE12} %{_optdir}/libdl/build
install -m 644 libdl.map %{_optdir}/libdl/libdl.map
install -m 644 shlib.lds %{_optdir}/libdl/libdl.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libdl/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libdl/interp.o
(cd %{_optdir}/libdl; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/dlfcn/libdl_pic.a)
(cd %{_optdir}/libdl; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/dlfcn/libdl.so -r *.o -o *.os > index)
(umask 022; echo "/devel/lib/libdl-"%{version}".so" > %{_optdir}/libdl/path)

# Install Library Optimizer information (libm)
install -m 755 %{SOURCE13} %{_optdir}/libm/build
install -m 644 libm.map %{_optdir}/libm/libm.map
install -m 644 shlib.lds %{_optdir}/libm/libm.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libm/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libm/interp.o
(cd %{_optdir}/libm; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/math/libm_pic.a)
(cd %{_optdir}/libm; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/math/libm.so -r *.o -o *.os > index)
(umask 022; echo "/devel/lib/libm-"%{version}".so" > %{_optdir}/libm/path)

# Install Library Optimizer information (libpthread)
install -m 755 %{SOURCE14} %{_optdir}/libpthread/build
install -m 644 libpthread.map %{_optdir}/libpthread/libpthread.map
install -m 644 shlib.lds %{_optdir}/libpthread/libpthread.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libpthread/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libpthread/interp.o
install -m 644 nptl/crti.o %{_optdir}/libpthread/crti.o
install -m 644 nptl/crtn.o %{_optdir}/libpthread/crtn.o
(cd %{_optdir}/libpthread; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/nptl/libpthread_pic.a)
(cd %{_optdir}/libpthread; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/nptl/libpthread.so -r *.o -o *.os > index)
(umask 022; echo "/devel/lib/libpthread-"%{version}".so" > %{_optdir}/libpthread/path)

# Install Library Optimizer information (librt)
install -m 755 %{SOURCE15} %{_optdir}/librt/build
install -m 644 librt.map %{_optdir}/librt/librt.map
install -m 644 shlib.lds %{_optdir}/librt/librt.so.lds
install -m 644 csu/abi-note.o %{_optdir}/librt/abi-note.o
install -m 644 elf/interp.os %{_optdir}/librt/interp.o
(cd %{_optdir}/librt; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/rt/librt_pic.a)
(cd %{_optdir}/librt; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/rt/librt.so -r *.o -o *.os > index)
(umask 022; echo "/devel/lib/librt-"%{version}".so" > %{_optdir}/librt/path)

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)

%{sony_cross_target_dir}

%changelog
* Tue Jun 02 2009 Sony Corporation
- Fix testcase FAIL due to wrong test code.
- Fix futex infinite loop bug, found by tst-mutex10.

* Fri May 22 2009 Sony Corporation
- Add nptl relative time APIs

* Tue Apr 14 2009 Sony Corporation
- skip to get tid when PTHREAD_MUTEX_TIMED_NP type mutex

* Fri Mar 13 2009 Sony Corporation
- Add glibc-2.7 PR patches from Toolchain Information Table.

* Mon Mar 09 2009 Sony Corporation
- remove __attribute__((__noreturn__)) in abort on ARM

* Fri Jan 30 2009 Sony Corporation
- Sprof FIX

* Thu Jan 08 2009 Sony Corporation
- build csu, *_.a, *_nonshared.a with -mxgot on MIPS

* Tue Nov 25 2008 Sony Corporation
- Fix build of some tests on MIPS

* Tue Nov 18 2008 Sony Corporation
- Add --enable-profile to support profiled libraries.

* Fri Sep 12 2008 Sony Corporation
- ARM NPTL bugfix patch is added.

* Mon Aug 11 2008 Sony Corporation
- ARM11 MPCore support patch is added.
- remove -fno-sched-spec for ARM build.

* Tue Aug 05 2008 Sony Corporation
- remove -fno-omit-frame-pointer for ARM.
  This is gcc Nested Function bug work around.

* Thu Jun 24 2008 Sony Corporation
- remove patch 406.

* Thu Jun 19 2008 Sony Corporation
- Change default TIMEOUT value for tesing purpose (patch323).

* Tue Jun 17 2008 Sony Corporation
- Add glibc-2.7 NPTL bugfix patch from toolchain information table.

* Wed Jun 11 2008 Sony Corporation
- Install crti.o and crtn.o needed by LOT.

* Tue May 26 2008 Sony Corporation
- ARM Gprof FIX

* Wed May 07 2008 Sony Corporation
- Enable __thread TLS feature on MIPS, due to nptl
- Add x86 pthread_cond_timedwait_reltime_np (patch321)

* Fri May 02 2008 Sony Corporation
- modify compile option for ARM build break workaround.

* Wed Apr 30 2008 Sony Corporation
- Add MIPS nptl hp timing skip (patch319)
- Add x86 assembler (patch320)

* Mon Apr 28 2008 Sony Corporation
- Add PowerPC private futex fix (patch318)

* Tue Apr 01 2008 Sony Corporation
- Add patch for pthread_cond_timedwait_reltime_np() API.

* Mon Mar 31 2008 Sony Corporation
- Remove XXX_pic.a and apply for NPTL

* Tue Mar 18 2008 Sony Corporation
- Version up 2.5 -> 2.7

* Fri Feb 25 2008 Sony Corporation
- Add hp-timing support for x86,mips,ppc

* Fri Feb 22 2008 Sony Corporation
- Disable __thread TLS feature on MIPS, due to performance decline.

* Wed Nov 21 2007 Sony Corporation
- Add -g to CFLAGS
- Add linuxthreads sigwait() bugfix patch.

* Wed Oct 03 2007 Sony Corporation
- Add MIPS struct msqid_ds fix patch.

* Mon Sep 19 2007 Sony Corporation
- Replace ARM pselect() and ppoll() support patch.

* Mon Sep 10 2007 Sony Corporation
- Add MIPS gnu hash support.

* Mon Sep 03 2007 Sony Corporation
- Add patch to make mismatch of os version warning rather than fatal error
- Remove two space from the head of this changelog

* Wed Aug 29 2007 Sony Corporation
- Integrated CE3.x and CE4.x.

* Fri Aug 03 2007 Sony Corporation
- CE4.X: Modifiedkernel version to 2.6.22

* Wed Aug 01 2007 Sony Corporation
- Fix inet6_xxx() API

* Mon Jul 02 2007 Sony Corporation
- Added ARM pselect() and ppoll() support patch.

* Thu Jun 27 2007 Sony Corporation
- Add patch to fix resolver(#223)

* Thu May 31 2007 Sony Corporation
- CE3.X: Change kernel version to 2.6.16 back.
- CE4.X: Added "-O2 -fno-omit-frame-pointer" CFLAGS

* Fri May 30 2007 Sony Corporation
- Add patch for dl ld race (#222)
- Add patches MIPS/i386/arm-eabi (#301,#344,#345,#361)

* Fri May 27 2007 Sony Corporation
- Remove patch for MIPS rtld(#222), fixed at binutils

* Fri May 25 2007 Sony Corporation
- Add ARM bugfix patch.
- Modified kernel version to 2.6.21.

* Wed May 23 2007 Sony Corporation
- Add patch to fix ARM signal unwinding for newer kernel

* Mon Mar 28 2007 Sony Corporation
- Add patch to fix the glibc minor version

* Mon Mar 19 2007 Sony Corporation
- Add rtld fix for MIPS

* Mon Mar 16 2007 Sony Corporation
- Add installation for semaphore.h

* Mon Mar 16 2007 Sony Corporation
- Add patches,which were applied on 2.3.6(#220,#221)

* Mon Feb 26 2007 Sony Corporation
- Added patch #341.

* Thu Nov 10 2006 Sony Corporation
- Initial Build

